Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4
Interface ParameterArray

All Known Implementing Classes:
  ParameterArray

    public interface ParameterArray

Version:
  $Id: ParameterArray.java,v 1.4 2006/09/27 14:59:58 euler Exp $
Author:
  Timm Euler, Daniel Hakenjos

Method Summary
`void` | `addParameter(Parameter par)` Extends the array of ParameterObjects by the specified Parameter.
`ParameterObject[]` | `getParameterObjectArray()` Active getter of the `parameterObjectArray`.
`java.util.Collection` | `getParameters()`
`short` | `getParameterType()` Gets the parameterType.
`java.lang.String` | `getParameterTypeS()` Gets the parameterType as the String constant used in class DB.
`boolean` | `hasParameter(Parameter par)`
`boolean` | `removeParameter(Parameter par)` Inverts the `addParameter(Parameter)` functionality.
`int` | `size()`

Method Detail

### addParameter

    void addParameter(Parameter par)
                      throws M4Exception

  Extends the array of ParameterObjects by the specified Parameter. Note, that the type of this Parameter has to be the same or a subclass of this ParameterArray's type! The `Parameter` will also have a reference to this object after it has been added by this method. After each invokation the array of ParameterObjects is invalidated and the active getter of this field will set it anew.

  Parameters:
    `par` - the `Parameter` to be added
  Throws:
    `M4Exception`

### removeParameter

    boolean removeParameter(Parameter par)
                            throws M4Exception

  Inverts the `addParameter(Parameter)` functionality. The object specified is removed from the internal list of embedded `Paramter`s. The reference of the `Parameter` to this object is also deleted.

  Parameters:
    `par` - the `Parameter` to be deleted
  Returns:
    `true` if the object could be deleted
  Throws:
    `M4Exception`

### hasParameter

    boolean hasParameter(Parameter par)
                         throws M4Exception

  Parameters:
    `par` - a `Parameter`
  Returns:
    `true` if a `Parameter` with the same ID is found in this `ParameterArray`
  Throws:
    `M4Exception`

### getParameterType

    short getParameterType()

  Gets the parameterType.

  Returns:
    Returns a short

### getParameterTypeS

    java.lang.String getParameterTypeS()

  Gets the parameterType as the String constant used in class DB.

  Returns:
    Returns a String

### size

    int size()

  Returns:
    the number of `Parameter`s this `ParameterArray` contains.

### getParameters

    java.util.Collection getParameters()

  Returns:
    the `Collection` of embedded `Parameter` objects.

### getParameterObjectArray

    ParameterObject[] getParameterObjectArray()
                                              throws M4Exception

  Active getter of the `parameterObjectArray`.

  Returns:
    Returns a `ParameterObject[]`
  Throws:
    `M4Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005